#ifndef TRAY_WIN_H
#define TRAY_WIN_H

#include <QObject>
#include <QWidget>
#include <QMainWindow>
#include <QMainWindow>
#include <QString>
#include <QDBusConnection>
#include <QDBusConnectionInterface>
#include <QDBusInterface>
#include <QDBusMessage>
#include <QSystemTrayIcon>
#include <QMenu>
#include <QAction>

class TrayWin : public QWidget
{
    Q_OBJECT
public:
    explicit TrayWin(QWidget *parent = nullptr);
public slots:
    void showNotify(QStringList notify);

signals:

private:
    void createTrayIcon();
    void createActions();

    QSystemTrayIcon *m_trayIcon;
    QMenu *m_trayIconMenu;

    QAction *m_minimizeAction;
    QAction *m_maximizeAction;
    QAction *m_quitAction;
};

#endif // TRAY_WIN_H
